Subject: python24 dependency issue?
To: None <>
From: Clayton <>
List: pkgsrc-users
Date: 12/09/2007 22:03:36

I am trying to package something I use in Debian for pkgsrc/wip (my
first packaging attempt) which as far as I can tell has the following

.include "../../lang/python/"
.include "../../x11/py-wxWidgets/"

which are installed. In trying to test run the program in the tarball,
I get the following behavior:

Traceback (most recent call last):
  File "./", line 14, in ?
    import wx
line 42, in ? from wx._core import * File
line 4, in ? import _core_
ImportError: /usr/pkg/lib/python2.4/site-packages/wx-2.6-gtk2-ansi/wx/
Undefined symbol "_ZTV17wxMemoryFSHandler" (symnum = 489)

which I am guessing is a missing or stale dependency, but I cannot
figure out what I need to install or re-install to fix this. I have
already reinstalled gtk2.

Any pointers?